Bug 202592 - [patch] sysutils/javaservicewrapper update to 3.5.29
Summary: [patch] sysutils/javaservicewrapper update to 3.5.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-23 11:43 UTC by sasamotikomi
Modified: 2016-05-24 21:06 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mike.jakubik)


Attachments
Makefile.diff (459 bytes, patch)
2015-08-23 11:43 UTC, sasamotikomi
no flags Details | Diff
distinfo.diff (411 bytes, patch)
2015-08-23 11:44 UTC, sasamotikomi
no flags Details | Diff
Full build failure log (30.32 KB, text/plain)
2015-08-27 10:28 UTC, Dmitry Marakasov
no flags Details
Update.diff (5.75 KB, patch)
2016-04-05 12:34 UTC, sasamotikomi
no flags Details | Diff
Update fix.diff (6.00 KB, patch)
2016-04-18 01:30 UTC, sasamotikomi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sasamotikomi 2015-08-23 11:43:02 UTC
Created attachment 160244 [details]
Makefile.diff

Update to 3.5.26 test and send output here:
http://sourceforge.net/p/wrapper/bugs/286/
This update should fix: 
https://trac.i2p2.de/ticket/1118
Comment 1 sasamotikomi 2015-08-23 11:44:08 UTC
Created attachment 160245 [details]
distinfo.diff
Comment 2 mike.jakubik 2015-08-25 18:16:54 UTC
I don't see a problem with this update, thanks.
Comment 3 Dmitry Marakasov freebsd_committer 2015-08-27 10:28:26 UTC
Does not build:

BUILD FAILED
/wrkdirs/usr/ports/sysutils/javaservicewrapper/work/wrapper_3.5.26_src/build.xml:1033: The following error occurred while executing this line:
/wrkdirs/usr/ports/sysutils/javaservicewrapper/work/wrapper_3.5.26_src/build-tests.xml:561: Unable to create javax script engine for javascript

Total time: 6 seconds
*** Error code 1
Comment 4 Dmitry Marakasov freebsd_committer 2015-08-27 10:28:56 UTC
Created attachment 160402 [details]
Full build failure log
Comment 5 sasamotikomi 2016-04-05 12:26:19 UTC
Update to 3.5.29 build fine under FreeBSD 10.1 i386
Comment 6 sasamotikomi 2016-04-05 12:34:32 UTC
Created attachment 169001 [details]
Update.diff
Comment 7 Dmitry Marakasov freebsd_committer 2016-04-14 15:18:01 UTC
Still doesn't build.

====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
Warning: 'lib/javaservicewrapper/lib/libwrapper.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/wrapper-community-license-1.3.txt
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DOCSDIR%%/wrapper-community-license-1.1.txt
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/javaservicewrapper
Comment 8 sasamotikomi 2016-04-15 00:24:24 UTC
Comment on attachment 169001 [details]
Update.diff

>--- Makefile.orig	2016-04-05 14:33:22.000000000 +0300
>+++ Makefile	2016-04-05 14:34:14.000000000 +0300
>@@ -2,7 +2,7 @@
> # $FreeBSD: head/sysutils/javaservicewrapper/Makefile 395960 2015-09-03 14:09:17Z amdmi3 $
> 
> PORTNAME=	javaservicewrapper
>-PORTVERSION=	3.5.21
>+PORTVERSION=	3.5.29
> CATEGORIES=	sysutils java
> MASTER_SITES=	http://wrapper.tanukisoftware.com/download/${PORTVERSION}/
> DISTNAME=	wrapper_${PORTVERSION}_src
>--- distinfo.orig	2016-04-05 14:33:35.000000000 +0300
>+++ distinfo	2016-04-05 14:34:40.000000000 +0300
>@@ -1,2 +1,2 @@
>-SHA256 (wrapper_3.5.21_src.tar.gz) = 4b7cf9b280cba7c8161d03af3e8fdf003ce6622092e7d50eaf32ffce13c5b43a
>-SIZE (wrapper_3.5.21_src.tar.gz) = 538978
>+SHA256 (wrapper_3.5.29_src.tar.gz) = 828875f246df05c4328bc13087f82c388a61d1f2ebad707951bdca5165c81b28
>+SIZE (wrapper_3.5.29_src.tar.gz) = 611760
>--- pkg-plist.orig	2016-04-05 15:02:44.000000000 +0300
>+++ pkg-plist	2016-04-05 15:12:36.000000000 +0300
>@@ -1,34 +1,39 @@
> bin/javaservicewrapper
>+%%DATADIR%%/bin/demoapp
> %%DATADIR%%/bin/testwrapper
> %%DATADIR%%/bin/wrapper
>-%%DATADIR%%/bin/demoapp
>-%%DATADIR%%/conf/wrapper.conf
> %%DATADIR%%/conf/demoapp.conf
>+%%DATADIR%%/conf/wrapper.conf
> %%DATADIR%%/lib/libwrapper.so
> %%DATADIR%%/lib/wrapper.jar
>+%%DATADIR%%/lib/wrapperdemo.jar
> %%DATADIR%%/lib/wrappertest.jar
> %%DATADIR%%/lib/wrappertest2.jar
>-%%DATADIR%%/lib/wrapperdemo.jar
>-%%DATADIR%%/test/additionalparameterfile-01-empty
>-%%DATADIR%%/test/additionalparameterfile-01-empty.conf
>-%%DATADIR%%/test/additionalparameterfile-01-empty.param
>-%%DATADIR%%/test/additionalparameterfile-02-1line
>-%%DATADIR%%/test/additionalparameterfile-02-1line.conf
>-%%DATADIR%%/test/additionalparameterfile-02-1line.param
>-%%DATADIR%%/test/additionalparameterfile-03-stripq-false
>-%%DATADIR%%/test/additionalparameterfile-03-stripq-false.conf
>-%%DATADIR%%/test/additionalparameterfile-03-stripq-false.param
>-%%DATADIR%%/test/additionalparameterfile-04-stripq-true
>-%%DATADIR%%/test/additionalparameterfile-04-stripq-true.conf
>-%%DATADIR%%/test/additionalparameterfile-04-stripq-true.param
>-%%DATADIR%%/test/additionalparameterfile-05-encoding
>-%%DATADIR%%/test/additionalparameterfile-05-encoding.conf
>-%%DATADIR%%/test/additionalparameterfile-05-encoding.param
>-%%DATADIR%%/test/additionalparameterfile-06-multilines
>-%%DATADIR%%/test/additionalparameterfile-06-multilines.conf
>-%%DATADIR%%/test/additionalparameterfile-06-multilines.param
>+%%DATADIR%%/test/appparameterfile-01-empty
>+%%DATADIR%%/test/appparameterfile-01-empty.conf
>+%%DATADIR%%/test/appparameterfile-01-empty.param
>+%%DATADIR%%/test/appparameterfile-02-1line
>+%%DATADIR%%/test/appparameterfile-02-1line.conf
>+%%DATADIR%%/test/appparameterfile-02-1line.param
>+%%DATADIR%%/test/appparameterfile-03-stripq-false
>+%%DATADIR%%/test/appparameterfile-03-stripq-false.conf
>+%%DATADIR%%/test/appparameterfile-03-stripq-false.param
>+%%DATADIR%%/test/appparameterfile-04-stripq-true
>+%%DATADIR%%/test/appparameterfile-04-stripq-true.conf
>+%%DATADIR%%/test/appparameterfile-04-stripq-true.param
>+%%DATADIR%%/test/appparameterfile-05-encoding
>+%%DATADIR%%/test/appparameterfile-05-encoding.conf
>+%%DATADIR%%/test/appparameterfile-05-encoding.param
>+%%DATADIR%%/test/appparameterfile-06-multilines
>+%%DATADIR%%/test/appparameterfile-06-multilines.conf
>+%%DATADIR%%/test/appparameterfile-06-multilines.param
>+%%DATADIR%%/test/appparameterfile-07-envvars
>+%%DATADIR%%/test/appparameterfile-07-envvars.conf
>+%%DATADIR%%/test/appparameterfile-07-envvars.param
> %%DATADIR%%/test/backgroundthreads
> %%DATADIR%%/test/backgroundthreads.conf
>+%%DATADIR%%/test/childwrapper
>+%%DATADIR%%/test/childwrapper.conf
> %%DATADIR%%/test/daemonthreads
> %%DATADIR%%/test/daemonthreads.conf
> %%DATADIR%%/test/defaultstripquotes-01-none
>@@ -51,8 +56,39 @@
> %%DATADIR%%/test/filter.conf
> %%DATADIR%%/test/growinglogoutput
> %%DATADIR%%/test/growinglogoutput.conf
>+%%DATADIR%%/test/hugeclasspathenvmaxsize
>+%%DATADIR%%/test/hugeclasspathenvmaxsize-path.conf
>+%%DATADIR%%/test/hugeclasspathenvmaxsize.conf
>+%%DATADIR%%/test/hugeclasspathenvoversize
>+%%DATADIR%%/test/hugeclasspathenvoversize-path.conf
>+%%DATADIR%%/test/hugeclasspathenvoversize.conf
>+%%DATADIR%%/test/hugeclasspathmaxsize
>+%%DATADIR%%/test/hugeclasspathmaxsize.conf
>+%%DATADIR%%/test/hugeclasspathoversize
>+%%DATADIR%%/test/hugeclasspathoversize.conf
> %%DATADIR%%/test/hugelogoutput
> %%DATADIR%%/test/hugelogoutput.conf
>+%%DATADIR%%/test/javaadditionalfile-01-empty
>+%%DATADIR%%/test/javaadditionalfile-01-empty.conf
>+%%DATADIR%%/test/javaadditionalfile-01-empty.param
>+%%DATADIR%%/test/javaadditionalfile-02-1line
>+%%DATADIR%%/test/javaadditionalfile-02-1line.conf
>+%%DATADIR%%/test/javaadditionalfile-02-1line.param
>+%%DATADIR%%/test/javaadditionalfile-03-stripq-false
>+%%DATADIR%%/test/javaadditionalfile-03-stripq-false.conf
>+%%DATADIR%%/test/javaadditionalfile-03-stripq-false.param
>+%%DATADIR%%/test/javaadditionalfile-04-stripq-true
>+%%DATADIR%%/test/javaadditionalfile-04-stripq-true.conf
>+%%DATADIR%%/test/javaadditionalfile-04-stripq-true.param
>+%%DATADIR%%/test/javaadditionalfile-05-encoding
>+%%DATADIR%%/test/javaadditionalfile-05-encoding.conf
>+%%DATADIR%%/test/javaadditionalfile-05-encoding.param
>+%%DATADIR%%/test/javaadditionalfile-06-multilines
>+%%DATADIR%%/test/javaadditionalfile-06-multilines.conf
>+%%DATADIR%%/test/javaadditionalfile-06-multilines.param
>+%%DATADIR%%/test/javaadditionalfile-07-envvars
>+%%DATADIR%%/test/javaadditionalfile-07-envvars.conf
>+%%DATADIR%%/test/javaadditionalfile-07-envvars.param
> %%DATADIR%%/test/loadedgcoutput
> %%DATADIR%%/test/loadedgcoutput.conf
> %%DATADIR%%/test/loadedlogoutput
>@@ -79,6 +115,8 @@
> %%DATADIR%%/test/onexit.conf
> %%DATADIR%%/test/outputloader
> %%DATADIR%%/test/outputloader.conf
>+%%DATADIR%%/test/passthrough
>+%%DATADIR%%/test/passthrough.conf
> %%DATADIR%%/test/percentoutput
> %%DATADIR%%/test/percentoutput.conf
> %%DATADIR%%/test/performance
@@ -110,4 +148,4 @@
 %%DATADIR%%/test/timedlogoutput.conf
 %%PORTDOCS%%%%DOCSDIR%%/index.html
 %%PORTDOCS%%%%DOCSDIR%%/revisions.txt
-%%PORTDOCS%%%%DOCSDIR%%/wrapper-community-license-1.1.txt
+%%PORTDOCS%%%%DOCSDIR%%/wrapper-community-license-1.3.txt
Comment 9 sasamotikomi 2016-04-15 00:36:09 UTC
(In reply to Dmitry Marakasov from comment #7)
Sorry, I forgot provide last plist fix:
(In reply to sasamotikomi from comment #8)
Anyway few issues still present everything present in /usr/local/lib/javaservicewrapper/ "lib,conf,lib,test" isn't "lib" should present in /usr/local/lib/, bin in /usr/local/bin/ etc.
Comment 10 Dmitry Marakasov freebsd_committer 2016-04-15 14:01:46 UTC
Please provide a correct diff as a new attachment.
Comment 11 sasamotikomi 2016-04-18 01:30:04 UTC
Created attachment 169416 [details]
Update fix.diff
Comment 12 commit-hook freebsd_committer 2016-04-21 11:36:16 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Apr 21 11:35:13 UTC 2016
New revision: 413728
URL: https://svnweb.freebsd.org/changeset/ports/413728

Log:
  - Update to 3.5.29

  PR:		202592
  Submitted by:	sasamotikomi@gmail.com
  Approved by:	mike.jakubik@gmail.com (maintainer)

Changes:
  head/sysutils/javaservicewrapper/Makefile
  head/sysutils/javaservicewrapper/distinfo
  head/sysutils/javaservicewrapper/pkg-plist